Bug 246793 - Review Request: postgresql-plruby - PostgreSQL Ruby Procedural Language
Review Request: postgresql-plruby - PostgreSQL Ruby Procedural Language
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-04 18:11 EDT by Devrim GUNDUZ
Modified: 2008-01-14 22:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-14 22:52:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
proposed spec file (2.30 KB, text/plain)
2007-12-29 10:16 EST, Mamoru TASAKA
no flags Details

  None (edit)
Description Devrim GUNDUZ 2007-07-04 18:11:57 EDT
Spec URL: http://developer.postgresql.org/~devrim/rpms/other/plruby/postgresql-plruby.spec
SRPM URL: http://developer.postgresql.org/~devrim/rpms/other/plruby/postgresql-plruby-0.5.0-1.fc7.src.rpm
Description: 
PL/Ruby is a loadable procedural language for the PostgreSQL database
system that enable the Ruby language to create functions and trigger
procedures.
Comment 1 Mamoru TASAKA 2007-07-06 06:53:07 EDT
Well, as I have some ruby modules packages:

Please check the guideline of ruby module packages:
http://fedoraproject.org/wiki/Packaging/Ruby
Especially:
* the name of ruby modules must be ruby-<modules>
* the package must have: Requires: ruby(abi) = <version>
  (and I think the package should have: BuildRequires: ruby(abi) = <version>)
* the package must provide ruby(<package>) = <version>-<release>
* Usually ruby module packages have Group : Development/Languages

For example, I maintain ruby-gettext-package
http://cvs.fedoraproject.org/viewcvs/*checkout*/rpms/ruby-gettext-package/devel/ruby-gettext-package.spec

More complicated example is ruby-gnome2 (maintained by other people,
reviewed by me)
http://cvs.fedoraproject.org/viewcvs/*checkout*/rpms/ruby-gnome2/devel/ruby-gnome2.spec
Comment 2 Mamoru TASAKA 2007-07-12 02:25:55 EDT
ping?
Comment 3 Devrim GUNDUZ 2007-07-17 03:34:53 EDT
Hi,

(In reply to comment #1)

> * the name of ruby modules must be ruby-<modules>

This is not a ruby module. This is PL/Ruby for PostgreSQL. So, I am inclined to
leave the package name as it is now.

> * the package must have: Requires: ruby(abi) = <version>

Done.

>   (and I think the package should have: BuildRequires: ruby(abi) = <version>)

Why not ruby-devel ?

> * the package must provide ruby(<package>) = <version>-<release>

But it does not provide it?

> * Usually ruby module packages have Group : Development/Languages

As I said, this is a PL for PostgreSQL, so let's leave as Applications/Databases.

Thanks for the review. I will post the updated spec and srpm shortly.

Regards, Devrim
Comment 5 Mamoru TASAKA 2007-09-27 09:43:21 EDT
Sorry for delay.

It seems that 0.5.1 is already released. So would you update first?
Comment 6 Devrim GUNDUZ 2007-10-05 23:05:33 EDT
Hi,

I was unavailable for the last few days, and now here is the new set:

Spec URL:
http://developer.postgresql.org/~devrim/rpms/other/plruby/postgresql-plruby.spec
SRPM URL:
http://developer.postgresql.org/~devrim/rpms/other/plruby/postgresql-plruby-0.5.1-1.fc7.src.rpm

Regards, Devrim
Comment 7 Mamoru TASAKA 2007-10-06 12:18:07 EDT
Well, I have not checked your spec/srpm in detail, however

* First make sure that your srpm can be rebuilt.
  http://koji.fedoraproject.org/koji/taskinfo?taskID=185515
  - Note: 
    you can try to rebuild arbitrary srpm on koji as
    $ koji build --scratch <target> <srpm_you_want_to_try>
    Currently, <target> can be either "dist-f9" "dist-f8" or
    "dist-fc7-updates-candidate".
  - Note:
    ruby-devel requires ruby-libs, but does not require ruby.

* Take care of directory ownership issue.
  All the directories created by this package must be owned
  by this package.

* ruby(abi) version dependency must be with equality, i.e.
  "Requires: ruby(abi) = 1.8" (like python abi dependency).
  http://fedoraproject.org/wiki/Packaging/Ruby
  For consistency, usually I also adds.
  "BuildRequies: ruby(abi) = 1.8".
Comment 8 Mamoru TASAKA 2007-10-15 11:23:43 EDT
ping?
Comment 9 Devrim GUNDUZ 2007-10-15 12:04:43 EDT
I built the new SRPM 5 days ago, but forgot to report here:

New spec:
http://developer.postgresql.org/~devrim/rpms/other/plruby/postgresql-plruby.spec
New SRPM:
http://developer.postgresql.org/~devrim/rpms/other/plruby/postgresql-plruby-0.5.1-2.f7.src.rpm

Regards, Devrim
Comment 10 Mamoru TASAKA 2007-10-15 14:03:36 EDT
Well, would you recheck your srpm so that it can be rebuilt?
http://koji.fedoraproject.org/koji/taskinfo?taskID=195921

Some quick notes:
* "Requires: postgresql-libs" should usually not needed as rpmbuild
  checks and adds libraries' dependencies.
* %{ruby_sitearch} is owned by ruby-libs so this package should not
  own this directory
* We now recommend %defattr(-,root,root,-)
Comment 11 Devrim GUNDUZ 2007-10-15 14:22:26 EDT
Hi,

(In reply to comment #10)
> Well, would you recheck your srpm so that it can be rebuilt?
> http://koji.fedoraproject.org/koji/taskinfo?taskID=195921

This is not plruby's problem -- This is a problem of PostgreSQL (AFAICS it
cannot be built on ppc, will ping upstream), right?
 
> * %{ruby_sitearch} is owned by ruby-libs so this package should not
>   own this directory

Ok, fixed.

> * We now recommend %defattr(-,root,root,-)

Ok done.

Will upload the new SRPM soon.

Regards, Devrim
Comment 13 Mamoru TASAKA 2007-10-15 14:35:53 EDT
I have not checked -3, however

(In reply to comment #11)
> Hi,
> 
> (In reply to comment #10)
> > Well, would you recheck your srpm so that it can be rebuilt?
> > http://koji.fedoraproject.org/koji/taskinfo?taskID=195921
> 
> This is not plruby's problem -- This is a problem of PostgreSQL (AFAICS it
> cannot be built on ppc, will ping upstream), right?

I doubt it. Rebuild fails even on i386.
http://koji.fedoraproject.org/koji/taskinfo?taskID=196241
Comment 14 Mamoru TASAKA 2007-10-15 14:38:32 EDT
And please check this comment.
(In reply to comment #10)
> * "Requires: postgresql-libs" should usually not needed as rpmbuild
>   checks and adds libraries' dependencies.

Also, %defattr is not yet fixed (note: as rebuild fails,
I did only quick check and did not review this srpm fully).
Comment 15 Devrim GUNDUZ 2007-10-15 14:45:40 EDT
Hi,

(In reply to comment #14)
> And please check this comment.
> (In reply to comment #10)
> > * "Requires: postgresql-libs" should usually not needed as rpmbuild
> >   checks and adds libraries' dependencies.

I'm inclined to leave it there.
 
> Also, %defattr is not yet fixed

It is. Maybe your browser cached the old one.

Regards, Devrim
Comment 16 Mamoru TASAKA 2007-10-15 22:28:04 EDT
-3 again failed to be rebuilt.
http://koji.fedoraproject.org/koji/taskinfo?taskID=197311
Please make it sure that your srpm can be rebuilt.
As I said in comment 7, you can check your srpm by koji beforehand
whether your srpm can be rebuilt correctly.

> > Also, %defattr is not yet fixed
> 
> It is. Maybe your browser cached the old one.
Please check %doc subpackage.

Comment 17 Mamoru TASAKA 2007-10-23 03:21:13 EDT
ping?
Comment 18 Mamoru TASAKA 2007-11-01 14:38:53 EDT
ping again?
Comment 19 Mamoru TASAKA 2007-12-16 00:04:34 EST
Once closing.

If someone wants to import this package into Fedora, please submit
a new review request, thank you.
Comment 20 Devrim GUNDUZ 2007-12-16 03:12:22 EST
I don't see any reason to close this bug.

You provide no solution as a reviewer -- if you don't want to review this
package, leave it as is .

Regards, Devrim
Comment 21 Mamoru TASAKA 2007-12-16 03:33:31 EST
(In reply to comment #20)
> I don't see any reason to close this bug.
Please see "Stalled review" wiki. We close review requests
in which the submitters don't response to the last comments
from others for more than ONE MONTH (although I usually
wait 1 month + 1 week)

> You provide no solution as a reviewer -- 
It is not what the reviewer should resolve, any claims
by reviewers must be resolved by the submitter.
To make srpm in the shape which can be rebuilt is one of
the duty for sumbitters.
Comment 23 Mamoru TASAKA 2008-01-09 10:27:51 EST
Would you check the spec file attached on comment 22?
Comment 24 Devrim GUNDUZ 2008-01-09 11:24:53 EST
Oh yes. Thanks for that -- it works on my test servers, too...
Comment 25 Mamoru TASAKA 2008-01-09 12:25:26 EST
Thanks. I will check this package again later.
Comment 26 Mamoru TASAKA 2008-01-10 10:39:02 EST
Okay.

-----------------------------------------------------------------
    This package (postgresql-plruby) is APPROVED by me
-----------------------------------------------------------------
Comment 27 Mamoru TASAKA 2008-01-14 13:29:01 EST
Would you take a CVS request?
Comment 28 Devrim GUNDUZ 2008-01-14 14:00:52 EST
No, not yet. I applied a one line fix to the spec, and I'm testing it on my
buildfarm. Will finish soon.
Comment 30 Devrim GUNDUZ 2008-01-14 20:27:00 EST
New Package CVS Request
=======================
Package Name: postgresql-plruby
Short Description: PostgreSQL Ruby Procedural Language
Owners: devrim
Branches: F-7 F-8 EL-4 EL-5
InitialCC: devrim
Cvsextras Commits: no
Comment 31 Kevin Fenzi 2008-01-14 21:04:36 EST
cvs done. 

Any reason for the cvsextras commits no? This will make it harder for people to
assist you with this package if you aren't available. 
Comment 32 Devrim GUNDUZ 2008-01-14 22:52:02 EST
I'm always open to co-maintainers -- and this package is not updated frequently,
so I don't expect a problem.

Mamoru: Thanks for the review and patience.
Kevin: Thanks for the CVS. 

Closing bug.

Note You need to log in before you can comment on or make changes to this bug.